<%- include('../../partials/header.ejs')%>

<body>
    <%- include('../../partials/navbar.ejs')%>

    <div class="container">
        <hr>
        <div class="card">
            <div class="card-header">
                <h2>Editar Artigo</h2>
            </div>
            <div class="card-body">
                <form method="POST" action="/articles/update">
                    <input type="hidden" value="<%= article.id %>" name="idArticle">
                    <label>Título</label>
                    <input class="form-control" type="text" name="titArticle" value="<%= article.title %>" placeholder="Defina o título aqui">
                    <br>
                    <label>Categoria</label>
                    <select class="form-control" name="categorySelected">
                        <% categories.forEach((c) => { %>

                            <% if(c.id == article.categoryId) { %>
                                <option value="<%= c.id %>" selected><%= c.title %></option>
                            <% }else{ %>
                                <option value="<%= c.id %>"><%= c.title %></option>
                            <% } %>

                        <% })%>
                    </select>
                    <br>
                    <textarea class="form-control" name="bodyArticle" id="txtArticle" placeholder="Escreva seu artigo aqui"></textarea>
                    <br>
                    <button class="btn btn-success">Salvar</button>
                </form>
            </div>
        </div>
    </div>
    <div id="content" style="display: none;">
        <%- article.body %>
    </div>
</body>

<%- include('../../partials/footer.ejs')%>

<script src="/tinymce/tinymce.min.js"></script>
<script>
    tinymce.init({
        language: 'pt_PT',
        selector: "#txtArticle",
        plugins: [
            'advlist autolink link image lists print preview hr searchreplace wordcount fullscreen insertdatetime media save paste emoticons'
        ],
        init_instance_callback: () => {
            tinymce.get("txtArticle").setContent($("#content").html())
        }
    });
</script>